summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2015-10-11 11:26:48 +0200
committerMartin Väth <martin@mvath.de>2015-10-11 11:32:18 +0200
commit109d6b4f673a249aea4deeb0cdb5b54a21592410 (patch)
treeec3589a50dac5be54ef6248d1e0ff3a9fd3b41b4 /app-shells/zsh-completions
downloadmv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.gz
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.bz2
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.zip
Clear history for egencache --repo=mv --update-changelogs
Diffstat (limited to 'app-shells/zsh-completions')
-rw-r--r--app-shells/zsh-completions/Manifest1
-rw-r--r--app-shells/zsh-completions/metadata.xml41
-rw-r--r--app-shells/zsh-completions/zsh-completions-0.12.0.ebuild123
-rw-r--r--app-shells/zsh-completions/zsh-completions-99999999.ebuild123
4 files changed, 288 insertions, 0 deletions
diff --git a/app-shells/zsh-completions/Manifest b/app-shells/zsh-completions/Manifest
new file mode 100644
index 00000000..eec029ad
--- /dev/null
+++ b/app-shells/zsh-completions/Manifest
@@ -0,0 +1 @@
+DIST zsh-completions-0.12.0.tar.gz 193410 SHA256 770d92749b11b22192595b207208508f8bfa319d5d03210a71bc44c8b9cfa0d5 SHA512 3c6b19f10d9598f40cf37ca5c5828e5652b0cad144d48ca681f5a16c1921c308f8cd3d9b8a2dd1c50ddbf167d4bb2e2e5299d1e30591971f4c7d9b28c2250feb WHIRLPOOL 7c5a1cb45d2e045fb0f8eb64deb8d87cab506f11b94996b9ff6cb169fd20672040bdc624de78a58ab5908d2222130de93a179a8e00d5aa75365af0ab0566852a
diff --git a/app-shells/zsh-completions/metadata.xml b/app-shells/zsh-completions/metadata.xml
new file mode 100644
index 00000000..cb5fb51b
--- /dev/null
+++ b/app-shells/zsh-completions/metadata.xml
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email></email>
+ <name>zsh-users</name>
+ </maintainer>
+ <remote-id type="github">zsh-users/zsh-completions</remote-id>
+ </upstream>
+ <use>
+ <flag name="completion_Android">Install zsh completions for Android-related programs</flag>
+ <flag name="completion_Google">Install zsh completions for googlecl</flag>
+ <flag name="completion_Unix">Install zsh completion for unix system tools</flag>
+ <flag name="completion_database">Install zsh completions for database programs</flag>
+ <flag name="completion_dev">Install zsh completions for development (build systems, editors, web)</flag>
+ <flag name="completion_disk">Install zsh completions for disk tools</flag>
+ <flag name="completion_distribute">Install zsh completions for tools for distributing tasks to machines</flag>
+ <flag name="completion_filesystem">Install zsh completions for filesystem tools</flag>
+ <flag name="completion_git">Install zsh completions for special git tools</flag>
+ <flag name="completion_hardware">Install zsh completions for low-level hardware tools</flag>
+ <flag name="completion_haskell">Install zsh completions for Haskell tools</flag>
+ <flag name="completion_managers">Install zsh completions for package managers (not portage)</flag>
+ <flag name="completion_multimedia">Install zsh completions for multimedia programs</flag>
+ <flag name="completion_net">Install zsh completions for net-related tools</flag>
+ <flag name="completion_nfs">Install zsh completions for network filesystem tools</flag>
+ <flag name="completion_perl">Install zsh completion for perl-related tools</flag>
+ <flag name="completion_pip">Install zsh completion for dev-python/pip (instead of completion of dev-python/pip project)</flag>
+ <flag name="completion_python">Install zsh completion for python development tools</flag>
+ <flag name="completion_ruby">Install zsh completion for ruby tools and tools in ruby</flag>
+ <flag name="completion_search">Install zsh completion for search tools like sys-apps/ack and sys-apps/the_silver_searcher</flag>
+ <flag name="completion_session">Install zsh completion for session-handling frontends</flag>
+ <flag name="completion_subtitles">Install zsh completion for subtitle tools</flag>
+ <flag name="completion_virtualization">Install zsh completion for virtualization programs</flag>
+ <flag name="completion_web">Install zsh completion for web-related tools incl. java/javascript/scala</flag>
+ </use>
+</pkgmetadata>
diff --git a/app-shells/zsh-completions/zsh-completions-0.12.0.ebuild b/app-shells/zsh-completions/zsh-completions-0.12.0.ebuild
new file mode 100644
index 00000000..51991693
--- /dev/null
+++ b/app-shells/zsh-completions/zsh-completions-0.12.0.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils
+
+case ${PV} in
+99999999*)
+ LIVE=:
+ EGIT_REPO_URI="git://github.com/zsh-users/${PN}.git"
+ inherit git-r3
+ PROPERTIES="live"
+ KEYWORDS=""
+ SRC_URI="";;
+*)
+ LIVE=false
+ RESTRICT="mirror"
+ TARBALL_VERSION='0.12.0'
+ SRC_URI="https://github.com/zsh-users/${PN}/archive/${TARBALL_VERSION}.tar.gz -> ${PN}-${PV}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${PN}-${TARBALL_VERSION}"
+esac
+
+DESCRIPTION="Additional completion definitions for Zsh"
+HOMEPAGE="https://gentoo.org/zsh-users/zsh-completions/"
+LICENSE="ZSH"
+SLOT="0"
+if ${LIVE}
+then DEPEND=""
+else DEPEND="completion_pip? ( !dev-python/pip[zsh-completion] )"
+fi
+
+IUSE=""
+declare -a FILES
+FILES=()
+declare -A USEFILE FILEINDEX
+USEFILE=()
+FILEINDEX=()
+used_value() {
+ case ${!1} in
+ '*'*)
+ eval ${1}=\${${1}#?}
+ ${LIVE};;
+ '/'*)
+ eval ${1}=\${${1}#?}
+ ! ${LIVE};;
+ esac
+}
+calculate_data() {
+ local comp curr currfile used
+ for comp
+ do curr="${comp%% *}"
+ used_value curr || continue
+ case ${curr} in
+ '+'*)
+ curr="completion_${curr#?}"
+ IUSE="${IUSE}${IUSE:+ }+${curr}";;
+ *)
+ curr="completion_${curr}"
+ IUSE="${IUSE}${IUSE:+ }${curr}";;
+ esac
+ for currfile in ${comp#* }
+ do used_value currfile
+ used=${?}
+ USEFILE["${currfile}"]="${curr}"
+ [[ -z ${FILEINDEX["${currfile}"]} ]] || die "${currfile} listed twice"
+ [ ${used} -ne 0 ] && continue
+ FILEINDEX["${currfile}"]="${#FILES[@]}"
+ FILES+=("${currfile}")
+ done
+ done
+}
+calculate_data \
+ '+Android _adb _android _emulator' \
+ '+Google _google' \
+ '+Unix _cmake _dzen2 _logger _nl _ps _shutdown _watch _xinput' \
+ '+database _redis-cli _pgsql_utils' \
+ '+dev _artisan _choc _console _gradle _geany _phing _manage.py _mvn _pear _play _symfony _thor _vagrant _veewee' \
+ '+disk _sdd _smartmontools _srm' \
+ '+distribute _celery /_envoy _fab _glances _kitchen _knife _mina _mussh' \
+ '+filesystem _zfs' \
+ '+git _git-flow _git-pulls' \
+ '+hardware _optirun _perf _primus' \
+ '+haskell _cabal _ghc' \
+ '+managers _bower _brew *_cask _debuild _lein _pactree _pkcon _port _yaourt' \
+ '+multimedia _id3 _id3v2 _showoff' \
+ '+net _dget _dhcpcd _httpie _iw _mosh _rfkill _socat _ssh-copy-id _vpnc _vnstat' \
+ '+nfs _exportfs' \
+ '+perl _cpanm' \
+ '/+pip _pip' \
+ '+python _bpython _pygmentize _setup.py' \
+ '+ruby _bundle _cap _ditz _gas _gem _gist _github _git-wtf _jekyll _lunchy _rails _rspec _rubocop _rvm' \
+ '+search _ack _ag _jq' \
+ '+session _atach _teamocil _tmuxinator _wemux' \
+ '+subtitles _language_codes _periscope _subliminal' \
+ '+virtualization _boot2docker *_docker-machine /_docker _virtualbox _virsh' \
+ '+web _coffee _composer _docpad _drush _heroku *_hledger _jonas _jmeter _jmeter-plugins _lunar _middleman _node _nvm _ralio _salt _sbt _scala _svm'
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ insinto /usr/share/zsh/site-functions
+ local i j u
+ for i in src/*
+ do j=${i#src/}
+ u=${USEFILE["${j}"]}
+ if [ -z "${u}" ]
+ then elog "installing unknown completion ${i#*/}"
+ doins "${i}"
+ continue
+ fi
+ ! use "${u}" || doins "${i}"
+ u=${FILEINDEX["${j}"]}
+ FILES[${u}]=
+ done
+ for i in ${FILES[*]}
+ do elog "listed file ${i} not found"
+ done
+ dodoc README.md zsh-completions-howto.org
+}
diff --git a/app-shells/zsh-completions/zsh-completions-99999999.ebuild b/app-shells/zsh-completions/zsh-completions-99999999.ebuild
new file mode 100644
index 00000000..51991693
--- /dev/null
+++ b/app-shells/zsh-completions/zsh-completions-99999999.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils
+
+case ${PV} in
+99999999*)
+ LIVE=:
+ EGIT_REPO_URI="git://github.com/zsh-users/${PN}.git"
+ inherit git-r3
+ PROPERTIES="live"
+ KEYWORDS=""
+ SRC_URI="";;
+*)
+ LIVE=false
+ RESTRICT="mirror"
+ TARBALL_VERSION='0.12.0'
+ SRC_URI="https://github.com/zsh-users/${PN}/archive/${TARBALL_VERSION}.tar.gz -> ${PN}-${PV}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${PN}-${TARBALL_VERSION}"
+esac
+
+DESCRIPTION="Additional completion definitions for Zsh"
+HOMEPAGE="https://gentoo.org/zsh-users/zsh-completions/"
+LICENSE="ZSH"
+SLOT="0"
+if ${LIVE}
+then DEPEND=""
+else DEPEND="completion_pip? ( !dev-python/pip[zsh-completion] )"
+fi
+
+IUSE=""
+declare -a FILES
+FILES=()
+declare -A USEFILE FILEINDEX
+USEFILE=()
+FILEINDEX=()
+used_value() {
+ case ${!1} in
+ '*'*)
+ eval ${1}=\${${1}#?}
+ ${LIVE};;
+ '/'*)
+ eval ${1}=\${${1}#?}
+ ! ${LIVE};;
+ esac
+}
+calculate_data() {
+ local comp curr currfile used
+ for comp
+ do curr="${comp%% *}"
+ used_value curr || continue
+ case ${curr} in
+ '+'*)
+ curr="completion_${curr#?}"
+ IUSE="${IUSE}${IUSE:+ }+${curr}";;
+ *)
+ curr="completion_${curr}"
+ IUSE="${IUSE}${IUSE:+ }${curr}";;
+ esac
+ for currfile in ${comp#* }
+ do used_value currfile
+ used=${?}
+ USEFILE["${currfile}"]="${curr}"
+ [[ -z ${FILEINDEX["${currfile}"]} ]] || die "${currfile} listed twice"
+ [ ${used} -ne 0 ] && continue
+ FILEINDEX["${currfile}"]="${#FILES[@]}"
+ FILES+=("${currfile}")
+ done
+ done
+}
+calculate_data \
+ '+Android _adb _android _emulator' \
+ '+Google _google' \
+ '+Unix _cmake _dzen2 _logger _nl _ps _shutdown _watch _xinput' \
+ '+database _redis-cli _pgsql_utils' \
+ '+dev _artisan _choc _console _gradle _geany _phing _manage.py _mvn _pear _play _symfony _thor _vagrant _veewee' \
+ '+disk _sdd _smartmontools _srm' \
+ '+distribute _celery /_envoy _fab _glances _kitchen _knife _mina _mussh' \
+ '+filesystem _zfs' \
+ '+git _git-flow _git-pulls' \
+ '+hardware _optirun _perf _primus' \
+ '+haskell _cabal _ghc' \
+ '+managers _bower _brew *_cask _debuild _lein _pactree _pkcon _port _yaourt' \
+ '+multimedia _id3 _id3v2 _showoff' \
+ '+net _dget _dhcpcd _httpie _iw _mosh _rfkill _socat _ssh-copy-id _vpnc _vnstat' \
+ '+nfs _exportfs' \
+ '+perl _cpanm' \
+ '/+pip _pip' \
+ '+python _bpython _pygmentize _setup.py' \
+ '+ruby _bundle _cap _ditz _gas _gem _gist _github _git-wtf _jekyll _lunchy _rails _rspec _rubocop _rvm' \
+ '+search _ack _ag _jq' \
+ '+session _atach _teamocil _tmuxinator _wemux' \
+ '+subtitles _language_codes _periscope _subliminal' \
+ '+virtualization _boot2docker *_docker-machine /_docker _virtualbox _virsh' \
+ '+web _coffee _composer _docpad _drush _heroku *_hledger _jonas _jmeter _jmeter-plugins _lunar _middleman _node _nvm _ralio _salt _sbt _scala _svm'
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ insinto /usr/share/zsh/site-functions
+ local i j u
+ for i in src/*
+ do j=${i#src/}
+ u=${USEFILE["${j}"]}
+ if [ -z "${u}" ]
+ then elog "installing unknown completion ${i#*/}"
+ doins "${i}"
+ continue
+ fi
+ ! use "${u}" || doins "${i}"
+ u=${FILEINDEX["${j}"]}
+ FILES[${u}]=
+ done
+ for i in ${FILES[*]}
+ do elog "listed file ${i} not found"
+ done
+ dodoc README.md zsh-completions-howto.org
+}